Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jpa.vendor
Class AbstractJpaVendorAdapter

    java.lang.Object
      org.springframework.orm.jpa.vendor.AbstractJpaVendorAdapter

All Implemented Interfaces:
  JpaVendorAdapter

Direct Known Subclasses:
  HibernateJpaVendorAdapter, OpenJpaVendorAdapter, TopLinkJpaVendorAdapter

    public abstract class AbstractJpaVendorAdapter

extends Object
implements JpaVendorAdapter

Abstract `JpaVendorAdapter` implementation that defines common properties, to be translated into vendor-specific JPA properties by concrete subclasses.

Since:
  2.0
Author:
  Juergen Hoeller, Rod Johnson

Constructor Summary
`AbstractJpaVendorAdapter()`

Method Summary
`protected Database` | `getDatabase()` Return the target database to operate on.
`protected String` | `getDatabasePlatform()` Return the name of the target database to operate on.
`protected boolean` | `isGenerateDdl()` Return whether to generate DDL after the EntityManagerFactory has been initialized creating/updating all relevant tables.
`protected boolean` | `isShowSql()` Return whether to show SQL in the log (or in the console).
`void` | `postProcessEntityManagerFactory(javax.persistence.EntityManagerFactory emf)` Post-process the EntityManagerFactory after it has been initialized.
`void` | `setDatabase(Database database)` Specify the target database to operate on, as a value of the `Database` enum: DB2, HSQL, INFORMIX, MYSQL, ORACLE, POSTGRESQL, SQL_SERVER, SYBASE
`void` | `setDatabasePlatform(String databasePlatform)` Specify the name of the target database to operate on.
`void` | `setGenerateDdl(boolean generateDdl)` Set whether to generate DDL after the EntityManagerFactory has been initialized, creating/updating all relevant tables.
`void` | `setShowSql(boolean showSql)` Set whether to show SQL in the log (or in the console).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.orm.jpa.JpaVendorAdapter
`getEntityManagerInterface, getJpaDialect, getJpaPropertyMap, getPersistenceProvider`

Constructor Detail

### AbstractJpaVendorAdapter

    public AbstractJpaVendorAdapter()

Method Detail

### setDatabase

    public void setDatabase(Database database)

  Specify the target database to operate on, as a value of the `Database` enum: DB2, HSQL, INFORMIX, MYSQL, ORACLE, POSTGRESQL, SQL_SERVER, SYBASE

### getDatabase

    protected Database getDatabase()

  Return the target database to operate on.

### setDatabasePlatform

    public void setDatabasePlatform(String databasePlatform)

  Specify the name of the target database to operate on. The supported values are vendor-dependent platform identifiers.

### getDatabasePlatform

    protected String getDatabasePlatform()

  Return the name of the target database to operate on.

### setGenerateDdl

    public void setGenerateDdl(boolean generateDdl)

  Set whether to generate DDL after the EntityManagerFactory has been initialized, creating/updating all relevant tables.

  Note that the exact semantics of this flag depend on the underlying persistence provider. For any more advanced needs, specify the appropriate vendor-specific settings as "jpaProperties".

  See Also:
    `AbstractEntityManagerFactoryBean.setJpaProperties(java.util.Properties)`

### isGenerateDdl

    protected boolean isGenerateDdl()

  Return whether to generate DDL after the EntityManagerFactory has been initialized creating/updating all relevant tables.

### setShowSql

    public void setShowSql(boolean showSql)

  Set whether to show SQL in the log (or in the console).

  For more specific logging configuration, specify the appropriate vendor-specific settings as "jpaProperties".

  See Also:
    `AbstractEntityManagerFactoryBean.setJpaProperties(java.util.Properties)`

### isShowSql

    protected boolean isShowSql()

  Return whether to show SQL in the log (or in the console).

### postProcessEntityManagerFactory

    public void postProcessEntityManagerFactory(javax.persistence.EntityManagerFactory emf)

  Post-process the EntityManagerFactory after it has been initialized.

  Specified by:
    `postProcessEntityManagerFactory` in interface `JpaVendorAdapter`
  Parameters:
    `emf` - the EntityManagerFactory to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.